Customers
The organisations you manage, their health, and recent activity across them.
| Method | Path | Summary |
|---|---|---|
| GET | /v1/partner/me | Your partner access |
| GET | /v1/partner/customers | Your customers with health summaries |
| GET | /v1/partner/activity | Recent activity across your customers |
#Your partner access
GET
/v1/partner/me- Address
https://<your-org>.brambleit.cloud/api/v1/partner/me- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
can_use | boolean | |
customers | number | |
pending | number |
Example response
JSON
{
"can_use": true,
"customers": 12.5,
"pending": 12.5
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/partner/me' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/partner/me', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/partner/me",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/partner/me' -Headers $headers#Your customers with health summaries
GET
/v1/partner/customers- Address
https://<your-org>.brambleit.cloud/api/v1/partner/customers- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
customers | array of any | |
requests | array of any | |
permissions | array of any |
Example response
JSON
{
"customers": [],
"requests": [],
"permissions": []
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/partner/customers' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/partner/customers', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/partner/customers",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/partner/customers' -Headers $headers#Recent activity across your customers
GET
/v1/partner/activity- Address
https://<your-org>.brambleit.cloud/api/v1/partner/activity- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
activity | array of object | |
activity[].created_at | string (date-time) | |
activity[].user_email | string, or null | |
activity[].method | string | |
activity[].path | string | |
activity[].status_code | integer |
Example response
JSON
{
"activity": [
{
"created_at": "2026-11-12T09:30:00.000Z",
"user_email": "alex@example.com",
"method": "string",
"path": "string",
"status_code": 1
}
]
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/partner/activity' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/partner/activity', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/partner/activity",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/partner/activity' -Headers $headersWas this page helpful?
Thanks for your feedback.